<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.xhtml"><span>All</span></a></li>
      <li class="current"><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals_func.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_func_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="globals_func_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_func_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_func_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_func_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="globals_func_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_func_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_func_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_func_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="globals_func_m.xhtml#index_m"><span>m</span></a></li>
      <li class="current"><a href="globals_func_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_func_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_func_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_func_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="globals_func_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="globals_func_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_func_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_func_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_func_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_func_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_func_n.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>non_linear_filter_box3x3()
: <a class="el" href="non__linear__filter3x3_8cl.xhtml#ac1fc5f0f6bac8d062852df0530d3c0cb">non_linear_filter3x3.cl</a>
</li>
<li>non_linear_filter_box5x5()
: <a class="el" href="non__linear__filter5x5_8cl.xhtml#a41b21a372a22ccea4fc7794e6de9b0cc">non_linear_filter5x5.cl</a>
</li>
<li>non_linear_filter_cross3x3()
: <a class="el" href="non__linear__filter3x3_8cl.xhtml#a69c356d968b2ecefbf2aa06e0ac83e28">non_linear_filter3x3.cl</a>
</li>
<li>non_linear_filter_cross5x5()
: <a class="el" href="non__linear__filter5x5_8cl.xhtml#a55bfb651c4824675a4c1ae1d27cd6d52">non_linear_filter5x5.cl</a>
</li>
<li>non_linear_filter_disk3x3()
: <a class="el" href="non__linear__filter3x3_8cl.xhtml#a37f5aa2a4245f4b6b925640f73a77fdb">non_linear_filter3x3.cl</a>
</li>
<li>non_linear_filter_disk5x5()
: <a class="el" href="non__linear__filter5x5_8cl.xhtml#a51c3020615fa62c7524d316ba1019a58">non_linear_filter5x5.cl</a>
</li>
<li>non_max_suppression()
: <a class="el" href="nonmax_8cl.xhtml#a07874f4cb83d115b3c588835d17a8f93">nonmax.cl</a>
</li>
<li>normalization_layer_cross_map()
: <a class="el" href="normalization__layer_8cl.xhtml#a904c8d1ee4f70e0a7ac448f24fadc64f">normalization_layer.cl</a>
</li>
<li>normalization_layer_in_map()
: <a class="el" href="normalization__layer_8cl.xhtml#a044ad0744b887f4e4226b19c79b29948">normalization_layer.cl</a>
</li>
<li>NV12_to_IYUV_bt709()
: <a class="el" href="color__convert_8cl.xhtml#a8fb5e7276f3da6febe4e9c48fe085169">color_convert.cl</a>
</li>
<li>NV12_to_RGB888_bt709()
: <a class="el" href="color__convert_8cl.xhtml#a02037a65e2f5ec0579b8ed8efc33ff18">color_convert.cl</a>
</li>
<li>NV12_to_RGBA8888_bt709()
: <a class="el" href="color__convert_8cl.xhtml#a84880a0b48a6d4ff812b07ef7dcf0eda">color_convert.cl</a>
</li>
<li>NV12_to_YUV444_bt709()
: <a class="el" href="color__convert_8cl.xhtml#a2c05435371a2cb1b2782d0a434407150">color_convert.cl</a>
</li>
<li>NV21_to_IYUV_bt709()
: <a class="el" href="color__convert_8cl.xhtml#acfdf02c3ab4893afc7e05afc3a950555">color_convert.cl</a>
</li>
<li>NV21_to_RGB888_bt709()
: <a class="el" href="color__convert_8cl.xhtml#a57f0e4cc61a99718caaaaab82d393009">color_convert.cl</a>
</li>
<li>NV21_to_RGBA8888_bt709()
: <a class="el" href="color__convert_8cl.xhtml#ad96db99a88669713407e91c036b06df2">color_convert.cl</a>
</li>
<li>NV21_to_YUV444_bt709()
: <a class="el" href="color__convert_8cl.xhtml#abd3f622e7d731ae70306266b334ff33b">color_convert.cl</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
